
Katello - Bug #5957

Product view: Tip blinks when product can not be removed

05/27/2014 05:33 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1091835 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1091835

Description of problem:

According to Bug #1021752 - adding a tool tip to disabled product deletion button, but the tip [?] blinks here.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140423.1

firefox-24.4.0-1.el6_5.x86_64

How reproducible:

always

Steps to Reproduce:

1. Import manifest, in "Content-->Red Hat Repositories" page, select product "Red Hat Enterprise Linux Server" and enable

repository "Red Hat Enterprise Linux 6 Server (Kickstart)".

2. Goto "Content-->Products" page, "Red Hat Enterprise Linux Server" should be show up

3. Check the "?" tip beside "Close" button

Actual results:

"?" tip should display correctly

Expected results:

"?" tip blinks

Additional info:

Associated revisions

Revision 6278fc3e - 06/26/2014 10:23 AM - Walden Raines

Fixes #5957/BZ1091835 - prevent product tooltip from "blinking".

Prevent appended to body product tooltip from momentarily blinking

on some browsers by disabling the animation.

Revision a70de3aa - 06/26/2014 02:23 PM - Walden Raines

Fixes #5957/BZ1091835 - prevent product tooltip from "blinking".

Prevent appended to body product tooltip from momentarily blinking

on some browsers by disabling the animation.

Revision acdf654f - 06/27/2014 02:13 PM - Walden Raines

Merge pull request #4354 from waldenraines/5957

Fixes #5957/BZ1091835 - prevent product tooltip from "blinking".

History
https://bugzilla.redhat.com/show_bug.cgi?id=1091835


#1 - 05/27/2014 05:33 PM - Brad Buckingham

- Triaged set to Yes

#2 - 05/28/2014 06:57 PM - Walden Raines

- Status changed from New to Need more information

I cannot reproduce this with FF24.4, please provide additional/revised steps to reproduce.

#3 - 06/03/2014 01:36 PM - Walden Raines

- Status changed from Need more information to Closed

I cannot reproduce this upstream.

#4 - 06/25/2014 07:28 PM - Walden Raines

- Status changed from Closed to Assigned

- Target version set to 48

- Difficulty set to trivial

#5 - 06/26/2014 02:25 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4354

#6 - 06/27/2014 02:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:a70de3aa4460f7ca81808a90bc0c5f98a486e1d8.

#7 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
